#
# spec file for package gap-patternclass
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-patternclass
Summary:        GAP: Permutation pattern class
Version:        2.4.1
Release:        lp151.2.1
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
URL:            https://github.com/gap-packages/PatternClass

Source:         https://github.com/gap-packages/PatternClass/releases/download/v%version/PatternClass-%version.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch
BuildRequires:  gap-rpm-devel
Requires:       gap-automata >= 1.13
Requires:       gap-core >= 4.5
Requires:       gap-gapdoc >= 1.5

%description
The PatternClass package is built on the idea of token passing
networks building permutation pattern classes. Those classes are best
determined by their basis. Both sets can be encoded by rank encoding
their permutations. Each, the class and its basis, in their encoded
form build a rational language. Rational languages can be computed by
using automata, which also can be build directly from the token
passing networks. Both ways will build the same language, i.e. the
same automaton.

%prep
%setup -qn PatternClass-%version

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Tue Oct  3 2017 jengelh@inai.de
- Initial package (version 2.4.1) for build.opensuse.org
